



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>XML学习笔记（四）-- 修饰XML文档的CSS</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">XML学习笔记（四）-- 修饰XML文档的CSS</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-03-29 06:22:39 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p>标签（空格分隔）： 学习笔记</p>
<hr>
<p>XML为<strong>存储结构化数据</strong>提供了强大的方法，但是它没有提供关于数据如何显示地信息，（数据的结构与数据表示无关）。可以使用CSS来控制XML文档中各元素的呈现方式。</p>
<h2>CSS语法</h2>
<p>又三部分构成：选择器（selector）、属性（property）、属性值（value），基本语法个数如下：</p>
<pre class="prettyprint linenums"><code>selector {<br />
    property1: value;<br />
    property2: value;<br />
    property3: value;<br />
}<br />
</code></pre>
<blockquote><p>虽然在CSS中是不区分大小写的，但是在XML中区分，如Name，NAME，name都会被CSS视为同一个元素，这样就无法为这些元素分别设置不同的属性。因此应该设置完全不一样的名称来进行区分。</p></blockquote>
<h2>CSS选择器</h2>
<h3>类选择器</h3>
<p>定义一：与元素不相关的类选择器的定义</p>
<pre class="prettyprint linenums"><code>.Class {<br />
    property1: value;<br />
    property2: value;<br />
    ...<br />
}<br />
</code></pre>
<p>定义二：与元素相关的类选择器的定义</p>
<pre class="prettyprint linenums"><code>Tag.Class {<br />
    property1: value;<br />
    property2: value;<br />
    ...<br />
}<br />
</code></pre>
<h3>ID选择器</h3>
<p>在HTML或XML文档中，往往需要唯一地标识一个元素，赋予它一个ID标识，以便在对整个文档进行处理时能够就快的找到这个元素。<br /><br />
定义一：与元素不相关的标识选择器的定义方法</p>
<pre class="prettyprint linenums"><code>#ID {<br />
    property1: value;<br />
    property2: value;<br />
    ...<br />
}<br />
</code></pre>
<p>定义二：与元素相关的标识选择器的定义方法</p>
<pre class="prettyprint linenums"><code>Tag#ID {<br />
    property1: value;<br />
    property2: value;<br />
    ...<br />
}<br />
</code></pre>
<h2>CSS属性</h2>
<h3>显示属性</h3>
<p>在CSS中，通常使用display属性来控制浏览器元素的文字显示效果。</p>
<table>
<thead>
<tr>
<th>display属性值</th>
<th>说明</th>
</tr>
</thead>
<tbody>
<tr>
<td>block</td>
<td>将元素以块方式显示，通过换行与其他元素分开显示</td>
</tr>
<tr>
<td>inline</td>
<td>在同一行显示元素</td>
</tr>
<tr>
<td>none</td>
<td>隐藏元素，使元素在页面中不可见</td>
</tr>
<tr>
<td>list-item</td>
<td>以列表方式显示元素</td>
</tr>
</tbody>
</table>
<p>CSS规定display属性是不能别子元素继承的，所以如果将父元素的display属性设定为block，不等于其为子元素设定了该属性。但也有两种特殊情况：</p>
<ul><li>如果将父元素的display属性设定为none,则子元素实际上继承了none的属性设定，因为当父元素被隐藏起来时，所有的子元素将同时被隐藏；</li>
<li>父元素的inline属性值也会被子元素继承，因为IE浏览器默认以inline方式显示元素内容。</li></ul>
<p>示例:</p>
<ol><li><p>新建一个xml文件：<code>employee.xml</code>，内容如下：</p>
<p>张涛<br />
         男<br />
         18<br />
         开发部</p>
<p>李雪萍<br />
         女<br />
         34<br />
         销售部</p>
<p>傅嘉祺<br />
         女<br />
         19<br />
         人事部</li>
<li><p>新建一个css文档：<code>employee.css</code>, 内容如下：</p>
<p>Employee {<br /><br />
display: block;<br /><br />
margin-top: 16pt;<br /><br />
}<br /><br />
name {<br /><br />
font-weight: bold;<br /><br />
}<br /><br />
Employee#1 {<br /><br />
font-size: 25pt;<br /><br />
font-style: italic;<br /><br />
}<br /><br />
Employee#2 {<br /><br />
font-size: 20pt;<br /><br />
font-style: bold;<br /><br />
}<br /><br />
department {<br /><br />
display: none;<br /><br />
}</p></li></ol>
<h3>字体(font)属性的设置</h3>
<table>
<thead>
<tr>
<th>font的子属性</th>
<th>说明</th>
<th>取值</th>
</tr>
</thead>
<tbody>
<tr>
<td>font-family</td>
<td>设置文字的字体</td>
<td>宋体，黑体，楷体_gb2312</td>
</tr>
<tr>
<td>font-style</td>
<td>设置文字的字形</td>
<td>normal, italic, oblique</td>
</tr>
<tr>
<td>font-weight</td>
<td>设置文字的粗细</td>
<td>normal, bold, bolder, lighter</td>
</tr>
<tr>
<td>font-variant</td>
<td>设置文字字母的大小写</td>
<td>normal, small-caps</td>
</tr>
<tr>
<td>font-size</td>
<td>设置文字的大小</td>
<td>small, medium, large / pt, cm, in...</td>
</tr>
</tbody>
</table>
<h3>边框属性的设置</h3>
<ul><li><strong>border-style</strong>: 设置边框四周的样式；</li>
<li>none, dotted, dashed(边框线为虚线), solid, double, groove(设置边框有3D效果), inset(设置边框线具有沉入的效果), outset(设置边框线有浮出的效果)。</li>
<li><strong>border-color</strong>:</li>
<li>取值为颜色的英文名或RGB值，默认时边框和元素的颜色相同；</li>
<li><strong>border-width</strong>:</li>
<li>thin, medium, thick</li></ul>
<h3>布局属性的设置</h3>
<ul><li><strong>定位属性</strong>：通过CSS的定位属性可以设置元素的位置、宽度和高度；</li>
<li>top, bottom, left, width, height, right;</li>
<li><strong>margin属性</strong>：默认情况下，CSS中元素的页边距为0；</li>
<li>margin(同时设置元素上下左右边界的距离), margin_top, margin_bottom, margin_left, margin_right;</li>
<li><strong>padding属性</strong>：在边框属性设置完成后，元素与边框的距离可能会出现过于接近的情况，通过设置padding属性使得边框与元素之间的距离不会太靠近;</li>
<li>padding, padding_top, padding_bottom, padding_left, padding_right;</li></ul>
<h3>背景属性的设置</h3>
<table>
<thead>
<tr>
<th>background的子属性</th>
<th>说明</th>
<th>取值</th>
</tr>
</thead>
<tbody>
<tr>
<td>backgroung-color</td>
<td>设置元素的背景颜色</td>
<td>颜色的英文名或RGB值</td>
</tr>
<tr>
<td>background-image</td>
<td>设置元素的背景图像</td>
<td>none, URL, 文件名(与CSS处于同一个目录下)</td>
</tr>
<tr>
<td>background-repeat</td>
<td>设置元素背景图像的重复样式</td>
<td>repeat, repeat-x(水平方向重复平铺), no-repeat</td>
</tr>
<tr>
<td>background-attachment</td>
<td>设置元素背景图像是否与元素内容一起滚动</td>
<td>scroll, fixed</td>
</tr>
<tr>
<td>background-position</td>
<td>设置元素背景图像相对于文字的位置</td>
<td>background-position-horizontal, background-position-vertical(top, center, bottom, left, right)</td>
</tr>
</tbody>
</table>
<h3>文本属性的设置</h3>
<p>CSS中，元素文字的间距、行高、实现字母的大小写转换以及为文字添加各种修饰等。</p>
<table>
<thead>
<tr>
<th>设置文本的属性</th>
<th>说明</th>
<th>取值</th>
</tr>
</thead>
<tbody>
<tr>
<td>letter-spacing</td>
<td>设置元素的字符间距</td>
<td>无</td>
</tr>
<tr>
<td>vertical-align</td>
<td>设置元素文本的垂直对齐方式</td>
<td>baseline, sub(文字以下标显示), super, top, middle, bottom</td>
</tr>
<tr>
<td>text-align</td>
<td>设置元素文本的水平对齐方式</td>
<td>left, center, right, justify(两端对齐)</td>
</tr>
<tr>
<td>text-transform</td>
<td>设置元素文本的大小写转换方式</td>
<td>capitalize(第一个字母大写), uppercase, lowercase, none</td>
</tr>
<tr>
<td>text-decoration</td>
<td>设置元素文本的修饰方式</td>
<td>underline, overline, line-through, blink(文字闪烁), none</td>
</tr>
</tbody>
</table>
<h2>CSS链接</h2>
<p>如果不把创建好的CSS链接到XML文件中，则文档中的元素是无法按照样式表的规则在浏览器中显示的。</p>
<h3>一般链接</h3>
<pre class="prettyprint linenums"><code>&lt;?xml:stylesheet type=&quot;text/css&quot; href=&quot;***.css&quot;?&gt;<br />
</code></pre>
<p>可以在一个XML文档中使用多条<code>xml:stylesheet</code>语句，达到将多个样式表文件链接的目的。</p>
<h3>@import指令</h3>
<pre class="prettyprint linenums"><code>@import url(stylesheetURL);<br />
</code></pre>
<h3>无需链接的内部CSS</h3>
<pre class="prettyprint linenums"><code>&lt;?xml-stylesheet type=&quot;text/css&quot;?&gt;<br />
&lt;根元素 xmlns:HTML=&quot;URL&quot;&gt;<br />
    &lt;HTML:STYLE&gt;<br />
        &lt;!--CSS内容--&gt;<br />
    &lt;/HTML:STYLE&gt;<br />
    &lt;!--XML子元素--&gt;<br />
&lt;/根元素&gt;<br />
</code></pre>
<p>示例：</p>
<pre class="prettyprint linenums"><code>&lt;?xml version=&quot;1.0&quot; encoding=&quot;GB2312&quot;?&gt;<br />
&lt;?xml-stylesheet type=&quot;text/css&quot;?&gt;<br />
&lt;Employees xmlns:HTML=&quot;http://www.w3.org/Profiles/XHTML-transitional&quot;&gt;<br />
    &lt;HTML:STYLE&gt;<br />
    name{<br />
        font-weight:bold<br />
    }<br />
    sex{<br />
        font-size:20px<br />
    }<br />
    age{<br />
        font-style:italic<br />
    }<br />
    &lt;/HTML:STYLE&gt;<br />
    &lt;Employee&gt;<br />
        &lt;name&gt;展涛&lt;/name&gt;<br />
        &lt;sex&gt;男&lt;/sex&gt;<br />
        &lt;age&gt;23&lt;/age&gt;<br />
        &lt;department&gt;开发部&lt;/department&gt;<br />
    &lt;/Employee&gt;<br />
&lt;/Employees&gt;</code></pre>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/xq47m73q.html">解决mac安装grunt时出现&lbrack;command not found&rsqb;的错误</a>
		</li>
						<li><a href="https://www.batexi.com/a/39rr4mm9.html">张艾迪（创始人）：创始人故事无限N个</a>
		</li>
						<li><a href="https://www.batexi.com/a/rql6m3kq.html">GPUImage滤镜之锐化</a>
		</li>
						<li><a href="https://www.batexi.com/a/qydd252q.html">Spring JDBC主从数据库配置</a>
		</li>
						<li><a href="https://www.batexi.com/a/8mnlr72q.html">【转】17种常用的JS正则表达式 非负浮点数 非负正数&period;</a>
		</li>
						<li><a href="https://www.batexi.com/a/8k146779.html">poj1873 The Fortified Forest 凸包&plus;枚举 水题</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxnplrv8.html">ES6新特性-------解构、参数、模块和记号（续）</a>
		</li>
						<li><a href="https://www.batexi.com/a/qydel1xq.html">Android面试笔试集锦</a>
		</li>
						<li><a href="https://www.batexi.com/a/8eyy05x9.html">kindeditor-网页文字编辑</a>
		</li>
						<li><a href="https://www.batexi.com/a/9jzze3l8.html">Test SRM Level Three&colon; LargestCircle&comma; Brute Force</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pdpvgy9.html">linux 下执行&period;sh文件提示permission denied</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2jkzox8.html">难以记住的sql语句</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pd2mly9.html">突发小事件，USB接口问题</a>
		</li>
						<li><a href="https://www.batexi.com/a/90m3wdj8.html">C&num;--深入理解类型</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwj3zx38.html">微服务框架&mdash;&mdash;SpringCloud</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pwdgky8.html">吴裕雄 python 机器学习&mdash;&mdash;Lasso回归</a>
		</li>
						<li><a href="https://www.batexi.com/a/qyy5vnmq.html">Idea创建一个springboot多模块项目</a>
		</li>
						<li><a href="https://www.batexi.com/a/8zy3rg39.html">原生js的remove方法代表删除节点</a>
		</li>
						<li><a href="https://www.batexi.com/a/8zy2o739.html">echarts3地图如何添加点击事件？ 点击地图相应的区域ajax获取并展示本区域省下面所有市的信息</a>
		</li>
						<li><a href="https://www.batexi.com/a/8e4n0gk9.html">C&num; 读取ini文件，读不出来原因</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/m96n733q.html">一个应用层的Makefile</a>
			</li>
						<li><a href="https://www.batexi.com/a/49gydw49.html">Android应用字体更改</a>
			</li>
						<li><a href="https://www.batexi.com/a/o8kzv0r8.html">Yii源码阅读笔记（二十一）&mdash;&mdash;请求处理流程</a>
			</li>
						<li><a href="https://www.batexi.com/a/4qnewj2q.html">如何配置Eclipse&plus;Tomcat 开发环境【转】</a>
			</li>
						<li><a href="https://www.batexi.com/a/g8ekr0z8.html">整理常用的iOS第三方资源</a>
			</li>
						<li><a href="https://www.batexi.com/a/r8m4x308.html">VC6在win7环境下无法添加以及打开现有文件的解决办法</a>
			</li>
						<li><a href="https://www.batexi.com/a/jqdvlvxq.html">NET基础（1）：类型基础</a>
			</li>
						<li><a href="https://www.batexi.com/a/e9j7rve9.html">【翻译】hololens入门</a>
			</li>
						<li><a href="https://www.batexi.com/a/m8z72ed9.html">Oracle常用操作-----（二）</a>
			</li>
						<li><a href="https://www.batexi.com/a/o8kzle38.html">Learning How To Learn</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
